Skip to main content
`Ctrl`+`K`

# MFNReset

Resets the `MFN` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNReset(MFN mfn)

Collective

## Input Parameter

- mfn - the matrix function solver context

## See Also

MFN: Matrix Function, `MFNDestroy()`

## Level

advanced

## Location

src/mfn/interface/mfnbasic.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages